On this page
No Headings
Last updated: June 12, 2026
Important: The Adaptive Platform API is not available for new integrations. PayPal provides this documentation to support existing integrations. If you're starting an integration, we recommend our latest solutions.
Sets the compliance status of a PayPal account. In addition, this API lets you supply basic audit trail information.
Note: Currently, this API works for Japanese PayPal accounts only.
The UpdateComplianceStatusRequest message supplies information for setting the compliance status of the specified the PayPal account.
| Field | Description |
|---|---|
accountIdentifier | aa:AccountIdentifierType(Required) Identifies the PayPal account for which to set compliance status. Must be one (and only one) of these account identifier types:
|
auditDetails | aa:AuditDetailsType(Required) A structure containing information about the audit performed to establish compliance. See AuditDetailsType Fields for details. |
auditeeInfo | aa:AuditeeInfoType(Required) A structure containing information describing the customer that was audited. See AuditeeInfoType Fields for details. |
auditorList | aa:AuditorList(Optional) A structure containing information identifying the officer(s) that performed the audit. See AuditorList Fields for details. |
requestEnvelope | common:RequestEnvelope(Required) Information common to all API operations, such as the language in which an error message is returned. See RequestEnvelope Fields for details. |
| Field | Description |
|---|---|
data | aa:TupleType(Optional) A structure containing any number of name-value pairs. See TupleType Fields for details. |
level | xs:string(Required) Audit level |
method | xs:string(Required) Audit method |
policyVersion | xs:string(Optional) Version of the audit policy used |
reason | xs:string(Required) Reason for the audit |
status | xs:string(Required) Status of the audit |
| Field | Description |
|---|---|
accountIdentifier | aa:AccountIdentifierType(Required) Identifies the PayPal account that was audited. Must be one (and only one) of these account identifier types:
|
data | aa:TupleType(Optional) A structure containing any number of name-value pairs. See TupleType Fields for details. |
document | aa:DocumentType(Optional) A structure containing information about an audit document. See DocumentType Fields for details. |
| Field | Description |
|---|---|
auditor | aa:Auditor(Required) A structure containing any number of Auditor structures. See Auditor Fields for details. |
| Field | Description |
|---|---|
name | xs:string(Required) The name component of a name-value pair |
value | xs:string(Required) The value component of a name-value pair |
| Field | Description |
|---|---|
filename | xs:string(Required) The file name of an audit document |
type | xs:string(Required) The type of audit document |
| Field | Description |
|---|---|
action | xs:string(Required) Action taken by the auditor |
id | xs:string(Required) Value that identifies an auditor within his company |
name | xs:string(Required) Auditor's name |
notes | xs:string(Optional) Notes from auditor pertaining to the compliance update |
| Field | Description |
|---|---|
detailLevel | common:DetailLevelCodeThe level of detail required by the client application for components such as Item, Transaction. Allowed values are:
|
errorLanguage | xs:stringThe RFC 3066 language in which error messages are returned; by default, this language is en_US—the only language currently supported. |
The UpdateComplianceStatusResponse message returns the results of the update compliance status request.
| Field | Definition |
|---|---|
execStatus | xs:stringIndicates whether to allow the requested action. Possible values:
|
responseEnvelope | common:ResponseEnvelopeCommon response information, including a timestamp and the response acknowledgment status. See ResponseEnvelope Fields for details. |
| Field | Description |
|---|---|
ack | common:AckCodeAcknowledgment code. Possible values:
|
build | Build number - Used only by Merchant Technical Support. |
correlationId | Correlation ID - Used only by Merchant Technical Support. |
timestamp | The date on which the response was sent. The time is not supported. |
| Error Code | Error Message | Additional Information |
|---|---|---|
| 550001 | User is not allowed to perform this action | The user does not have permission to call this API. |
| 580022 | Invalid request parameter: accountIdentifier | Invalid accountIdentifier information |
| 580027 | The parameter is not supported: auditDetails.level | The supplied audit details level is not supported by the API call |
| 580029 | Missing required request parameter: <name>
| Missing required request parameter: <name> |